// Import the configuration file
import { getConfig } from "./helper/config";
// Import SystemControl
import { SystemControl } from "./models/SystemController";

// Global system control singleton
(global as any).logger = new SystemControl();
(global as any).config = null;

/**
 * The main function to run the program with
 */
async function main() {
    // Get the configuration file
    (global as any).config = getConfig();

    console.log(
        (global as any).config
    );

}


// Run the main program
main();